package main

import (
	"git.clearsky.net.au/cody/gex.git/app"
	"git.clearsky.net.au/cody/gex.git/pkg/srv"
	"git.clearsky.net.au/cody/gex.git/pkg/utils"
)

func main() {
	// check cli arguments are set and correct
	utils.CheckArgs()

	app.Init()

	srv.InitRouter()

	app.Middleware()
	app.Routes()

	srv.StartServer()

}
